﻿Public Class Form1

    ' 현재 BackLight가 On인지 Off인지 확인하기 위한 Flag
    Private m_bBackLightPlag As Boolean
    ' 설정한 반복횟수를 저장할 변수
    Private m_iReptCnt As Integer

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        ' 현재 Form을 MainForm으로 설정합니다.
        SmartForm1.MainForm = Me

        ' 멤버 변수 초기화
        m_bBackLightPlag = False
    End Sub

    ' 1. BackLight On / Off 제어하기
    Private Sub btnStart_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnStart.Click
        SmartTimer1.Interval = Convert.ToInt32(udReptInterval.Value)
        SmartTimer1.Start()
    End Sub

    ' 2. BackLight On / Off 제어 중도 정지
    Private Sub btnStop_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnStop.Click
        SmartTimer1.Stop()
    End Sub

    ' 3. BackLight 자동 Off 기능 관련
    Private Sub btnConfig_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnConfig.Click
        ' 제어판의 디스플레이 속성에서 조명 설정 창 출력하기
        SmartConfigs1.Display.BacklightControlDialogBox()

        ' 설정 변경후 레지스트리에 저장
        SmartX.SmartConfigs.RegistryAllSave()
    End Sub

    Private Sub smartTimer1_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles SmartTimer1.Tick
        If m_iReptCnt < udReptCount.Value Then

            If m_bBackLightPlag = False Then
                ' Backlight를 OFF
                SmartConfigs1.Display.BacklightControl(SmartX.CDisplay.OnOff.OFF)
                m_bBackLightPlag = True
            Else
                ' Backlight를 ON
                SmartConfigs1.Display.BacklightControl(SmartX.CDisplay.OnOff.ON)
                m_bBackLightPlag = False
                m_iReptCnt += 1
            End If
        Else
            SmartTimer1.Stop()
        End If
    End Sub
End Class
